downloadObjectObj Struct Reference

`#include <definitions.h>`

## Public Attributes

int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
char * | bucketname
char * | objectkey
UplinkProject | project
UplinkDownloadResult | download_result
UplinkDownloadOptions | downloadOption
int | downloadoptionSet

## Member Data Documentation

## async_action_status

int downloadObjectObj::async_action_status

## bucketname

char* downloadObjectObj::bucketname

## deferred

napi_deferred downloadObjectObj::deferred

## download_result

UplinkDownloadResult downloadObjectObj::download_result

## downloadOption

UplinkDownloadOptions downloadObjectObj::downloadOption

## downloadoptionSet

int downloadObjectObj::downloadoptionSet

## objectkey

char* downloadObjectObj::objectkey

## project

UplinkProject downloadObjectObj::project

## result

napi_value downloadObjectObj::result

## work

napi_async_work downloadObjectObj::work

The documentation for this struct was generated from the following file:

- definitions.h